package com.fdkanfang.service.backend;

import com.fdkanfang.common.model.PageDto;
import com.fdkanfang.domain.backend.UserEntity;
import com.fdkanfang.domain.response.UserResponse;
import com.fdkanfang.service.IBaseMapperService;

import java.util.List;
import java.util.Set;

/**
 * Created by owen on 2020/3/11 0011 16:14
 */
public interface UserService2 extends IBaseMapperService<UserEntity, Long> {

    List<UserResponse> findAllBySearchKey(PageDto param);

    UserEntity findByUserName(String userName);

    void deleteUserRoleByUserId(Long id);

    void saveUserRole(Long id, Long valueOf);

    Set<String> findRoleByUserId(Long id);

    UserEntity findByPhone(String phone);

    Set<Integer> findRoleIdByUserId(Long id);
}
